import { NotifyService } from '../notify/notify.service';
export declare class UtilityService {
    private notifyService;
    handle: {
        error: (err: any) => void;
    };
    constructor(notifyService: NotifyService);
    hashMD5: (key: string) => string;
    arrayToObject: <T>(items: T[], key: string) => {
        [key: string]: T;
    };
    changeAliasLowerCase(alias: string): string;
    isUuid: (key: string) => boolean;
}
